gstreamermm: Gst::MessageStepStart Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageStepStart Class Reference

A step start message. More...

Inheritance diagram for Gst::MessageStepStart:
[legend]
Collaboration diagram for Gst::MessageStepStart:
[legend]

List of all members.

## Public Member Functions
| MessageStepStart (GstMessage* castitem)
void | parse (bool& active, Gst::Format& format, guint64& amount, double& rate, bool&flush, bool& intermediate) const
| Extract the values of the step start message.
guint64 | parse () const
| Extracts the amount of the step start message.
bool | parse_active () const
| Extracts the active flag of the step start message.
Gst::Format | parse_format () const
| Extracts the format of the step start message.
double | parse_rate () const
| Extracts the rate of the step start message.
bool | parse_flush () const
| Extracts the flush flag of the step start message.
bool | parse_intermediate () const
| Extracts the intermediate flag of the step start message.
## Static Public Member Functions
static Glib::RefPtr < Gst::MessageStepStart > | create (const Glib::RefPtr< Gst::Object >& src, bool active, Gst::Format format, guint64 amount, double rate, bool flush, bool intermediate)
| Create a step start message.

## Detailed Description

A step start message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageStepStart::MessageStepStart | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::MessageStepStart> Gst::MessageStepStart::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | bool | active,
|  | Gst::Format | format,
|  | guint64 | amount,
|  | double | rate,
|  | bool | flush,
|  | bool | intermediate
| ) |  | `[static]`

Create a step start message.

This message is posted by elements when they accept or activate a new step event for amount in format.

active is set to false when the element accepted the new step event and has queued it for execution in the streaming threads.

active is set to true when the element has activated the step operation and is now ready to start executing the step in the streaming thread. After this message is emited, the application can queue a new step operation in the element.

Parameters:

  src | The object originating the message.
  active | If the step is active or queued.
  format | The format of amount.
  amount | The amount of stepped data.
  rate | The rate of the stepped amount.
  flush | Is this an flushing step.
  intermediate | Is this an intermediate step.

Returns:
  The new step start message. MT safe.

Since 0.10.24.

void Gst::MessageStepStart::parse | ( | bool & | active,
|  | Gst::Format& | format,
|  | guint64 & | amount,
|  | double & | rate,
|  | bool & | flush,
|  | bool & | intermediate
| ) |  | const

Extract the values of the step start message.

MT safe.

Parameters:

  active | Result location for the active flag.
  format | Result location for the format.
  amount | Result location for the amount.
  rate | Result location for the rate.
  flush | Result location for the flush flag.
  intermediate | Result location for the intermediate flag.

Since 0.10.24.

guint64 Gst::MessageStepStart::parse | ( |  | ) | const

Extracts the amount of the step start message.

Returns:
  The amount.

bool Gst::MessageStepStart::parse_active | ( |  | ) | const

Extracts the active flag of the step start message.

Returns:
  The active flag.

bool Gst::MessageStepStart::parse_flush | ( |  | ) | const

Extracts the flush flag of the step start message.

Returns:
  The flush flag.

Gst::Format Gst::MessageStepStart::parse_format | ( |  | ) | const

Extracts the format of the step start message.

Returns:
  The format.

bool Gst::MessageStepStart::parse_intermediate | ( |  | ) | const

Extracts the intermediate flag of the step start message.

Returns:
  The intermediate flag.

double Gst::MessageStepStart::parse_rate | ( |  | ) | const

Extracts the rate of the step start message.

Returns:
  The rate.

The documentation for this class was generated from the following file:

- gstreamermm/message.h